close all;                               % 모든 생성된 창을 닫음 
clear all;                               % 열려있는 작업영역(workspace)을 모두 비움 
clc;                                     % 명령(command) 창을 비움

t=-3:0.005:3;                            % 시간의 범위를 설정함
N=20;                                    % 고조파의 차수를 선택함
c0=0.5;                                  % 직류 성분의 푸리에 계수
w0=pi;                                   % 기본 주파수 설정
xr=c0*ones(1,length(t));                 % 합성 신호 xr(t)의 직류 성분  
for k=1:N
   xr=xr+sinc(k/2)*cos(k*w0*t);          % N차까지 고조파들을 더하여 합성 신호 생성  
end
plot(t,xr)                               % 합성 신호 xr(t)의 파형을 그림
title('합성 신호 xr(t)');                 % 그림 제목
xlabel('t');                             % x축 라벨 표시 